<?xml version="1.0" encoding="utf-8"?>
<!--
/*
 * Copyright (C) 2008 Esmertec AG.
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
-->

<com.android.mms.ui.BasicSlideEditorView
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/slide_editor_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:orientation="horizontal"
        android:background="@android:drawable/editbox_background" >

        <LinearLayout
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:layout_marginTop="10dip"
            android:layout_marginBottom="10dip"
            android:layout_marginLeft="20dip"
            android:layout_marginRight="20dip"
            android:orientation="vertical" >

            <ImageView android:id="@+id/image"
                android:layout_width="match_parent"
                android:layout_height="0dip"
                android:layout_weight="1"
                android:background="@android:drawable/picture_frame" />

            <LinearLayout  android:id="@+id/audio"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="gone"
                android:orientation="horizontal" >

                <ImageView
                    android:src="@drawable/ic_mms_music"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <TextView android:id="@+id/audio_name"
                    android:singleLine="true"
                    android:layout_gravity="center_vertical"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout android:id="@+id/controler"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageButton  android:id="@+id/pre_slide_button"
                    style="?android:attr/buttonStyleSmall"
                    android:layout_width="wrap_content"
                    android:layout_height="50dip"
                    android:src="@drawable/ic_maps_back" />

                <ImageButton  android:id="@+id/next_slide_button"
                    style="?android:attr/buttonStyleSmall"
                    android:layout_width="wrap_content"
                    android:layout_height="50dip"
                    android:src="@drawable/ic_maps_next" />
            </LinearLayout>

            <Button android:id="@+id/preview_button"
                style="?android:attr/buttonStyleSmall"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:lines="2"
                android:text="@string/preview" />

            <Button android:id="@+id/replace_image_button"
                style="?android:attr/buttonStyleSmall"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:lines="2"
                android:text="@string/edit" />

            <Button android:id="@+id/remove_slide_button"
                style="?android:attr/buttonStyleSmall"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:lines="2"
                android:text="@string/remove_slide" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:orientation="horizontal"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="2dip"
        android:gravity="bottom"
        android:baselineAligned="false">

        <EditText android:id="@+id/text_message"
            android:layout_width="0dip"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:nextFocusRight="@+id/done_button"
            android:textSize="15sp"
            android:capitalize="sentences"
            android:autoText="true"
            android:paddingLeft="5dip"
            android:paddingTop="5dip"
            android:paddingRight="5dip"
            android:paddingBottom="5dip"
            android:hint="@string/type_to_compose_text_or_leave_blank"
            android:maxLines="1" >
            <requestFocus/>
        </EditText>

        <Button android:id="@+id/done_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:nextFocusLeft="@+id/text_message"
            android:text="@string/done_slide"
        />
    </LinearLayout>
</com.android.mms.ui.BasicSlideEditorView>
